org.codehaus.groovy.runtime.metaclass

## Class MissingMethodExecutionFailed

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - groovy.lang.MissingMethodException
          - - org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack
            - - org.codehaus.groovy.runtime.metaclass.MissingMethodExecutionFailed

All Implemented Interfaces:
  java.io.Serializable

    public class MissingMethodExecutionFailed
    extends MissingMethodExceptionNoStack

A stack less exception used to indicate, that the execution of a missingMethod method failed with a MissingMethodException. This is used to preven a call to invokeMethod for GroovyObject implementing classes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingMethodExecutionFailed(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments, boolean isStatic, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `getCause()`

### Methods inherited from class org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack

`fillInStackTrace`

### Methods inherited from class groovy.lang.MissingMethodException

`getArguments, getMessage, getMethod, getType, isStatic`

### Methods inherited from class groovy.lang.GroovyRuntimeException

`getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingMethodExecutionFailed

    public MissingMethodExecutionFailed(java.lang.String method,
                                        java.lang.Class type,
                                        java.lang.Object[] arguments,
                                        boolean isStatic,
                                        java.lang.Throwable cause)

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Overrides:
  `getCause` in class `java.lang.Throwable`